Subject: Re: [v6ops] New I-D: IPv6 Extension Headers in the Real World

From: lilishan48 <[email-masked]>
Date: Tue, 9 Sep 2014 20:55:10 +0800 (CST)

Dear all,
I've read this document and think it provides a good overview of the
implications of extension headers, and their situation in the Internet.
I agree with other comments about the lack of clarity of the tables in
Section 4. You must clarify what the numbers in this tables mean.

Section 5.2 must be expanded to list implementation and operational
mitigations.

Security considerations section is to short. Please expand it or move
text from other sections here.
Best Regards,Lishan Li

---

From: Qiong <[email-masked]>
Date: Fri, 12 Sep 2014 15:44:41 +0800

Hi Fernando,

This document has been a nice read.

 Do you know how to test if a server is vulnerable to the attack described
in the document?

 And do you know the number of servers that are vulnerable to this attack?

Thanks

Best wishes
Qiong

On Fri, Aug 8, 2014 at 12:04 PM, Fernando Gont <[email-masked]>
wrote:

> Folks,
>
> We have published a new I-D on the topic of IPv6 Extension Headers
> (EHs). The I-D is available at:
> <
> http://www.ietf.org/internet-drafts/draft-gont-v6ops-ipv6-ehs-in-real-world-00.txt
> >.
>
> Abstract:
>    IPv6 Extension Headers allow for the extension of the IPv6 protocol,
>    and provide support for some core functionality such as IPv6
>    fragmentation.  However, IPv6 Extension Headers are deemed to present
>    a challenge to IPv6 implementations and networks, and are known to be
>    intentionally filtered in some existing IPv6 deployments.  This
>    summarizes the issues associated with IPv6 extension headers, and
>    presents real-world data regarding the extent to which packets with
>    IPv6 extension headers are filtered in the public Internet, and where
>    in the network such filtering occurs.  Additionally, it provides some
>    guidance to operators in troubleshooting IPv6 blackholes resulting
>    from the use of IPv6 extension headers.  Finally, this document
>    provides some advice to protocol designers, and discusses areas where
>    further work might be needed.
>
> Comments and suggestions are welcome.
>
> Thanks!
>
> Best regards,
> Fernando
>
>
>
>
> -------- Forwarded Message --------
> Subject: New Version Notification for
> draft-gont-v6ops-ipv6-ehs-in-real-world-00.txt
> Date: Thu, 07 Aug 2014 20:57:17 -0700
> From: [email-masked]
> To: J. Linkova <[email-masked]>, Shucheng LIU (Will)
> <[email-masked]>, Tim Chown <[email-masked]>, Tim Chown
> <[email-masked]>, Fernando Gont <[email-masked]>, Fernando
> Gont <[email-masked]>, Will (Shucheng) Liu
> <[email-masked]>, J. Linkova <[email-masked]>
>
>
> A new version of I-D, draft-gont-v6ops-ipv6-ehs-in-real-world-00.txt
> has been successfully submitted by Fernando Gont and posted to the
> IETF repository.
>
> Name:           draft-gont-v6ops-ipv6-ehs-in-real-world
> Revision:       00
> Title:          IPv6 Extension Headers in the Real World
> Document date:  2014-08-07
> Group:          Individual Submission
> Pages:          15
> URL:
>
> http://www.ietf.org/internet-drafts/draft-gont-v6ops-ipv6-ehs-in-real-world-00.txt
> Status:
> https://datatracker.ietf.org/doc/draft-gont-v6ops-ipv6-ehs-in-real-world/
> Htmlized:
> http://tools.ietf.org/html/draft-gont-v6ops-ipv6-ehs-in-real-world-00
>
>
> Abstract:
>    IPv6 Extension Headers allow for the extension of the IPv6 protocol,
>    and provide support for some core functionality such as IPv6
>    fragmentation.  However, IPv6 Extension Headers are deemed to present
>    a challenge to IPv6 implementations and networks, and are known to be
>    intentionally filtered in some existing IPv6 deployments.  This
>    summarizes the issues associated with IPv6 extension headers, and
>    presents real-world data regarding the extent to which packets with
>    IPv6 extension headers are filtered in the public Internet, and where
>    in the network such filtering occurs.  Additionally, it provides some
>    guidance to operators in troubleshooting IPv6 blackholes resulting
>    from the use of IPv6 extension headers.  Finally, this document
>    provides some advice to protocol designers, and discusses areas where
>    further work might be needed.
>
>
>
>
>
> Please note that it may take a couple of minutes from the time of
> submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> The IETF Secretariat
>
>
>
>
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops
>

-- 
==============================================
Qiong Sun
China Telecom Beijing Research Institude

Open source code:
lightweight 4over6: *http://sourceforge.net/projects/laft6/
<http://sourceforge.net/projects/laft6/>*
PCP-natcoord:* http://sourceforge.net/projects/pcpportsetdemo/
<http://sourceforge.net/projects/pcpportsetdemo/> *
===============================================